summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/checkconfig.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/checkconfig.sh b/tools/checkconfig.sh
index 91f7b1c05..5f2063ad4 100755
--- a/tools/checkconfig.sh
+++ b/tools/checkconfig.sh
@@ -16,6 +16,17 @@ die() {
exit 1
}
+usage() {
+ echo "Usage:"
+ echo " $0 <top_srcdir> <srcfile> [<srcfile> ...]"
+ echo "Example:"
+ echo " find . -name '*.c' | xargs $0 \$(git rev-parse --show-toplevel)"
+}
+
+if [ $# -eq 0 ]; then
+ usage
+ exit 1
+fi
srcdir=$1
config="$srcdir/config.h.in"